/* (c) Copyright 2001 Josh Levenberg */

#ifndef __GL_SW_COLLISION_DETECTION_H
#define __GL_SW_COLLISION_DETECTION_H

/* For "bool" */
#include "types.h"

/* We've fired!  Did we blow something up?
   Where do the quad lasers converge?
 */
void ComputeShotDestination(void);

/* Collides the player's ship (a box PLAYER_WIDTH by PLAYER_HEIGHT
   from oldy to gPlayerPos[1].
   Detects collisions with obstacles and missiles.
 */
bool DetectCollision(float oldy);

#endif /* #ifndef __GL_SW_COLLISION_DETECTION_H */
