/* (c) Copyright 2001 Josh Levenberg */

/* Text drawing functions */

#ifndef __GL_SW_TEXT_H
#define __GL_SW_TEXT_H

/* for "bool" */
#include "types.h"

/* Scratch space for creating messages to display */
extern char gMessageBuffers[2][64];

/* Center text horizontally */
void CenterText(const char *msg, float scale, float y, float z);

/* Position text in one of the corners.  
   "x" represents the right edge of the screen
   if right is true, the text is right justified to "x"
   if right is false, the test is left justified to "-x"
 */
void CornerText(const char *msg, float scale, bool right, float x, float z);

#endif /* #ifndef __GL_SW_TEXT_H */
