/* (c) Copyright 2001 Josh Levenberg */

#ifndef __GL_SW_MODELS_H
#define __GL_SW_MODELS_H

/* for "voidfunc" */
#include "types.h"

/* NEED to keep this list of enums in sync with the
   definition of gDrawModelFuncArray in model.c
 */
typedef enum 
  {
    Model_Trench,
    Model_GunLeft,
    Model_GunFloor,
    Model_GunRight,
    Model_Missile,
    NumModels
  } ModelEnum;

/* A function to draw each of the models */
extern voidfunc gDrawModelFuncArray[NumModels];

/* Model display lists use this offset from the enum above */
extern unsigned gModelDisplayList;

#endif /* #ifndef __GL_SW_MODELS_H */
